Summary:	Linux virtual server utilities
Name:		util-vserver
Version:	0.30
Release:	alt1
Copyright:	GPL
Group:		System/Base
URL:		http://savannah.nongnu.org/projects/util-vserver/
Source0:	http://savannah.nongnu.org/download/util-vserver/stable.pkg/%version/%name-%version.tar.bz2
Source1:	rebootmgr
Source2:	v_postfix
Patch0:		util-vserver-0.26-alt-specific.patch


# Automatically added by buildreq on Tue Jul 13 2004
BuildRequires: gcc-c++ libe2fs-devel libstdc++-devel

%description
This package provides the components and a framework to setup virtual
servers.  A virtual server runs inside a linux server. It is nevertheless
highly independent. As such, you can run various services with normal
configuration. The various vservers can't interact with each other and
can't interact with services in the main server.

This requires a special kernel supporting the new new_s_context and
set_ipv4root system call.


%prep
%setup -q
%patch0 -p1


%build
%configure --disable-linuxconf --with-vrootdir=/var/lib/vservers
%make


%install
%make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/var/lib/vservers

mkdir -p $RPM_BUILD_ROOT%_initrddir
mv $RPM_BUILD_ROOT%_sysconfdir/init.d/* $RPM_BUILD_ROOT%_initrddir/


install -m 755 %SOURCE1 $RPM_BUILD_ROOT%_initrddir/
install -m 755 %SOURCE2 $RPM_BUILD_ROOT%_initrddir/



%post 
%post_service vservers
%post_service rebootmgr
chattr +t /var/lib/vservers

%preun
%preun_service vservers
%preun_service rebootmgr

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%doc doc/intro.txt
%_sbindir/*
%_libdir/%name
%_mandir/man8/*
%config %_initrddir/*
%config(noreplace) /etc/vservers.conf
%attr(0,root,root) %dir /var/lib/vservers


%changelog
* Tue Jul 13 2004 Anton Farygin <rider@altlinux.ru> 0.30-alt1
- new version
- post scripts fixed

* Fri May 14 2004 Anton Farygin <rider@altlinux.ru> 0.29.5-alt1
- new version

* Thu Jan 08 2004 Anton Farygin <rider@altlinux.ru> 0.26-alt1
- first build for Sisyphus

